package domain


type AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuQueryRequest struct {
    /*
        活动ID     */
    ActId  *int64 `json:"act_id,omitempty" `

    /*
        商品编码列表     */
    SkuCodes  *[]string `json:"sku_codes,omitempty" `

    /*
        商品条码列表     */
    BarCodes  *[]string `json:"bar_codes,omitempty" `

    /*
        换购品标识     */
    ExchangeSku  *bool `json:"exchange_sku,omitempty" `

    /*
        分页参数     */
    PageInfo  *AlibabaRetailMarketingBuygiftSkuQueryActivitySkuQueryDTO `json:"page_info,omitempty" `

    /*
        erp外部活动id     */
    OutActId  *string `json:"out_act_id,omitempty" `

}

func (s *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuQueryRequest) SetActId(v int64) *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuQueryRequest {
    s.ActId = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuQueryRequest) SetSkuCodes(v []string) *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuQueryRequest {
    s.SkuCodes = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuQueryRequest) SetBarCodes(v []string) *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuQueryRequest {
    s.BarCodes = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuQueryRequest) SetExchangeSku(v bool) *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuQueryRequest {
    s.ExchangeSku = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuQueryRequest) SetPageInfo(v AlibabaRetailMarketingBuygiftSkuQueryActivitySkuQueryDTO) *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuQueryRequest {
    s.PageInfo = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuQueryRequest) SetOutActId(v string) *AlibabaRetailMarketingBuygiftSkuQueryBuyGiftActivitySkuQueryRequest {
    s.OutActId = &v
    return s
}
